import type { KoliBriModalEventCallbacks, LabelPropType, ModalAPI, ModalStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
import type { ModalVariantPropType } from '../../schema/props/variant/modal';
export declare class KolModal implements ModalAPI {
    private readonly host?;
    private refDialog?;
    disconnectedCallback(): void;
    private handleNativeCloseEvent;
    openModal(): Promise<void>;
    closeModal(): Promise<void>;
    private readonly on;
    render(): JSX.Element;
    _label: LabelPropType;
    _on?: KoliBriModalEventCallbacks;
    _width?: string;
    _variant?: ModalVariantPropType;
    state: ModalStates;
    validateLabel(value?: LabelPropType): void;
    validateOn(value?: KoliBriModalEventCallbacks): void;
    validateWidth(value?: string): void;
    validateVariant(value?: ModalVariantPropType): void;
    componentWillLoad(): void;
}
